﻿Type=Activity
Version=5.2
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.

	Private GuessButton As Button
	Private ResultLabel As Label
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	Activity.LoadLayout("GuessLayout")
	
	Activity.AddMenuItem3("Return to Main Screen","MainScreenMenu",LoadBitmap(File.DirAssets,"MBison.gif"),True)

End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub MainScreenMenu_Click	
	StartActivity(Main)	
End Sub

Sub GuessButton_Click
	'This sub routine will play the guess a number game
	Dim Guessed As Boolean
	Dim NumGuesses As Int
	Dim GuessInputDialog As InputDialog
	Dim MessageToUser As String
	Dim RandomNum As Int
	Dim UserInput As Int
	
	'set up routine variables	
	Guessed = False	
	NumGuesses = 0
	GuessInputDialog.InputType = GuessInputDialog.INPUT_TYPE_NUMBERS
	UserInput = 0
	RandomNum = Rnd(1,51)
	
	MessageToUser = "Guess a number between 1 and 50, for fun"
	ResultLabel.Text = "You needed ? Guesses"
	
	'loop until the correct number has been entered - note: to keep the below simple for now there is no way to leave the beyond getting it right
	Do While (Guessed = False)
		GuessInputDialog.Hint = UserInput
		
		GuessInputDialog.Show(MessageToUser,"Guess A Number Game","Guess","","",Null)
		
		NumGuesses = NumGuesses + 1
		
		UserInput = GuessInputDialog.Input
		GuessInputDialog.Input = ""
		
		If (UserInput = RandomNum) Then
			Guessed = True
		Else
			If (UserInput > RandomNum) Then
				MessageToUser = "Your last guess was too high, please try again..."
			Else
				MessageToUser = "Your last guess was too low, please try again..."
			End If		
		End If
	
	Loop
	
	'getting here means that user guessed the number
	ResultLabel.Text = "Well done, you guessed it was " & RandomNum & " correctly in " & NumGuesses & " guesses"	
	
End Sub